Package org.apache.jmeter.report.core

# Class JsonUtil

java.lang.Object
org.apache.jmeter.report.core.JsonUtil

public final class JsonUtil extends Object
The class JsonUtil provides helper functions to generate Json.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `toJsonArray(String... array)`
  Converts the specified array to a json-like array string.
  `static String`
  `toJsonObject(Map<String,String> map)`
  Converts the specified map to a json-like object string.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JsonUtil

    public JsonUtil()

- ## Method Details

  - ### toJsonArray

    public static String toJsonArray(String... array)
    Converts the specified array to a json-like array string.
    Parameters:
      `array` - the array
    Returns:
      the json string

  - ### toJsonObject

    public static String toJsonObject(Map<String,String> map)
    Converts the specified map to a json-like object string.
    Parameters:
      `map` - the map
    Returns:
      the string